from abc import ABC, abstractmethod

from cpl_query.extension import List

from py_to_uxf_core.model.class_implementation import ClassImplementation
from py_to_uxf_core.model.python_class import PythonClass


class PythonParserABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def parse_classes(self) -> List[PythonClass]: pass

    @abstractmethod
    def parse_implementations(self, classes: List[PythonClass]) -> List[ClassImplementation]: pass
