import traceback

from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.console import Console


class ParserSettings(ConfigurationModelABC):

    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._ignore_class_names = []

    @property
    def ignore_class_names(self) -> list[str]:
        return self._ignore_class_names

    def from_dict(self, settings: dict):
        try:
            self._ignore_class_names = settings['IgnoreClassNames']
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in {self.__name__} settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
