from typing import Optional

from cpl_query.extension import List

from py_to_uxf_core.abc.class_scanner_abc import ClassScannerABC
from py_to_uxf_core.model.python_class import PythonClass


class ClassScannerService(ClassScannerABC):

    def __init__(self):
        ClassScannerABC.__init__(self)

    def scan_line_for_classes(self, line: str) -> Optional[PythonClass]:
        line = line.replace('    ', '')
        line = line.replace('\t', '')
        if line.startswith('class'):
            name = line.split('class ')[1]
            if '(' in name:
                name = name.split('(')[0]
            else:
                name = name.split(':')[0]

            return PythonClass(name)
        return None
